%define oname khotkeys

Summary:	Plasma 5 input actions module
Name:		plasma5-%{oname}
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	plasma5-workspace-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(x11)

%description
Plasma 5 input actions module.

%files -f %{oname}.lang
%{_kde5_datadir}/khotkeys/*.khotkeys
%{_kde5_plugindir}/kded/khotkeys.so
%{_kde5_services}/khotkeys.desktop
%{_qt5_plugindir}/kcm_hotkeys.so

#----------------------------------------------------------------------------

%define khotkeysprivate_major 5
%define libkhotkeysprivate %mklibname khotkeysprivate %{khotkeysprivate_major}

%package -n %{libkhotkeysprivate}
Summary:	Plasma 5 input actions shared library
Group:		System/Libraries

%description -n %{libkhotkeysprivate}
Plasma 5 input actions shared library.

%files -n %{libkhotkeysprivate}
%{_kde5_libdir}/libkhotkeysprivate.so.%{khotkeysprivate_major}*

#----------------------------------------------------------------------------

%define devplasma5_khotkeys %mklibname plasma5-khotkeys -d

%package -n %{devplasma5_khotkeys}
Summary:	Development files for Plasma 5 input actions library
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{EVRD}
Provides:	khotkeysdbusinterface-devel = %{version}
Conflicts:	kdebase4-workspace-devel

%description -n %{devplasma5_khotkeys}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devplasma5_khotkeys}
%{_kde5_libdir}/cmake/KHotKeysDBusInterface
%{_datadir}/dbus-1/interfaces/org.kde.khotkeys.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} --with-html --with-kde
%kf5locales_fix %{oname}.lang

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (8eee3e6) New version 5.7.2


